### Method

# FoundryGtk SourceView rename

#### Declaration [src]

    DexFuture*
    foundry_source_view_rename (
      FoundrySourceView* self,
      const GtkTextIter* iter,
      const char* new_name
    )

#### Description [src]

Uses the active `FoundryRenameProvider` to semantically rename the word found at `iter` with `new_name`.

#### Parameters

`iter`

  Type: `GtkTextIter`

  The location of the semantic word to rename.

  The data is owned by the caller of the method.

`new_name`

  Type: `const char*`

  The name for the replacement.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GListModel` of `FoundryTextEdit`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.